Package org.apache.struts2.interceptor

# Class AbstractInterceptor

java.lang.Object
org.apache.struts2.interceptor.AbstractInterceptor

All Implemented Interfaces:
  `Serializable`, `ConditionalInterceptor`, `Interceptor`

Direct Known Subclasses:
  `AbstractFileUploadInterceptor`, `AliasInterceptor`, `AnnotationWorkflowInterceptor`, `ChainingInterceptor`, `CheckboxInterceptor`, `ClearSessionInterceptor`, `CoepInterceptor`, `CookieInterceptor`, `CookieProviderInterceptor`, `CoopInterceptor`, `CreateSessionInterceptor`, `CspInterceptor`, `DateTextFieldInterceptor`, `DebuggingInterceptor`, `ExceptionMappingInterceptor`, `FetchMetadataInterceptor`, `HttpMethodInterceptor`, `I18nInterceptor`, `LoggingInterceptor`, `MessageStoreInterceptor`, `MethodFilterInterceptor`, `MockInterceptor`, `ModelDrivenInterceptor`, `MultiselectInterceptor`, `NoOpInterceptor`, `ParameterRemoverInterceptor`, `RolesInterceptor`, `ScopedModelDrivenInterceptor`, `ScopeInterceptor`, `ServletConfigInterceptor`, `StaticParametersInterceptor`

public abstract class AbstractInterceptor extends Object implements ConditionalInterceptor
Provides default implementations of optional lifecycle methods

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractInterceptor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroy()`
  Does nothing
  `void`
  `init()`
  Does nothing
  `abstract String`
  `intercept(ActionInvocation invocation)`
  Override to handle interception
  `void`
  `setDisabled(String disable)`
  Allows to skip executing a given interceptor, just define `<param name="disabled">true</param>` or use other way to override interceptor's parameters, see docs.
  `boolean`
  `shouldIntercept(ActionInvocation invocation)`
  Determines if a given interceptor should be executed in the current processing of action invocation.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractInterceptor

    public AbstractInterceptor()

- ## Method Details

  - ### init

    public void init()
    Does nothing
    Specified by:
      `init` in interface `Interceptor`

  - ### destroy

    public void destroy()
    Does nothing
    Specified by:
      `destroy` in interface `Interceptor`

  - ### intercept

    public abstract String intercept(ActionInvocation invocation) throws Exception
    Override to handle interception
    Specified by:
      `intercept` in interface `Interceptor`
    Parameters:
      `invocation` - the action invocation
    Returns:
      the return code, either returned from `ActionInvocation.invoke()`, or from the interceptor itself.
    Throws:
      `Exception` - any system-level error, as defined in `Action.execute()`.

  - ### setDisabled

    public void setDisabled(String disable)
    Allows to skip executing a given interceptor, just define `<param name="disabled">true</param>` or use other way to override interceptor's parameters, see docs.
    Parameters:
      `disable` - if set to true, execution of a given interceptor will be skipped.

  - ### shouldIntercept

    public boolean shouldIntercept(ActionInvocation invocation)
    Description copied from interface: `ConditionalInterceptor`
    Determines if a given interceptor should be executed in the current processing of action invocation.
    Specified by:
      `shouldIntercept` in interface `ConditionalInterceptor`
    Parameters:
      `invocation` - current `ActionInvocation` to determine if the interceptor should be executed
    Returns:
      true if the given interceptor should be included in the current action invocation